<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>XMLHttpRequest 01</title>
    <script type="text/javascript">
       function enPantalla(text){
           let element = document.getElementById('container');
           element.textContent = text;
       }

       function enconsola(text){
           console.log(text);
       }
    </script>
</head>
<body>
    <section id="container">
        Request a La petición:
    </section>

    <script type="text/javascript">
    const req = new XMLHttpRequest();
    req.addEventListener('load', () =>{
          if(req.status===200){
              enconsola(req.responseText);
              enconsola(JSON.parse(req.responseText));
              enPantalla(req.responseText);
          }else{
              enconsola([req.status,req.statusText]);
          }
          });
    req.addEventListener('error',()=>{
        enconsola('Error de red');
    });

    req.open('GET', 'https://jsonplaceholder.typicode.com/posts', true);
    req.send(null);
    </script>
</body>
</html>